@import "utils/mixins.less";






.home {

  width: .calc-vw(1)[@return];
  
  .hero {
    background: #fff;
    color: #000;
    position: relative;

    height: 100vh;
    overflow-y: hidden;
    min-height: 400px;

    .hero-title {
      position: absolute;
      font-size: 6vw;
      font-family: "Roobert-SemiBold";
      line-height: 1;
      top: calc(50% - 0.5em);
      width: 100%;
      text-align: center;
      display: block;
      margin: 0;
      z-index: 5;
    }

    .floatingTruffles(@x1, @y1, @x2, @y2, @x3, @y3){
       
    }

    @keyframes floating1 {
      0%{
        transform: translateY(0px) translateX(0px);
      }
      50%{
        transform: translateY(-10px) translateX(5px);
      }
      100%{
        transform: translateY(0px) translateX(0px);
      }
    }
    @keyframes floating2 {
      0%{
        transform: translateY(0px) translateX(0px);
      }
      50%{
        transform: translateY(-15px) translateX(2px);
      }
      100%{
        transform: translateY(0px) translateX(0px);
      }
    }
    @keyframes floating3 {
      0%{
        transform: translateY(0px) translateX(0px);
      }
      50%{
        transform: translateY(-20px) translateX(-3px);
      }
      100%{
        transform: translateY(0px) translateX(0px);
      }
    }
    
    .truffl-silver {
      position: absolute;
      z-index: 1;
      transition: transform 0.1s linear;

      .truffl-silver-bg {
        background-repeat: no-repeat;
      }

      &-1 {
        left: 60vw;
        top: calc(10vw - 5vw / 2);

        // &.floating{
         
        // }

        .truffl-silver-bg {
          width: 5vw;
          height: 5vw;
          background-size: 5vw 5vw;
          -webkit-filter: blur(1.8px);
          filter: blur(1.8px);
          animation: 2s floating1 infinite ease-in-out;
        }

      }

      &-2 {
        left: 17vw;
        top: calc(50% - 19.7vw / 2 + 4vw);

        // &.floating{
         
        // }

        .truffl-silver-bg {
          width: 18vw;
          height: 18vw;
          background-size: 18vw 18vw;
          animation: 3s floating2 infinite ease-in-out;
        }

      }

      &-3 {
        right: 4vw;
        bottom: -11vw;

        // &.floating{
          
        // }

        .truffl-silver-bg {
          width: 32vw;
          height: 32vw;
          background-size: 32vw 32vw;
          -webkit-filter: blur(1.8px);
          filter: blur(1.8px);
          animation: 4s floating3 infinite ease-in-out;
        }
      }
    }
  }

  .paralax01{
    padding-bottom: 75vw;
    width: 100% !important;
  }
  
  // defaults, look fro specifics within parents
  .horizontal-scroll {
    position: relative;
    width: 100vw;
    overflow: hidden;

    

    .horizontally-scrollable {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      width: 100%;
      overflow-x: visible;
      // overflow-x: auto;
      // overflow-y: hidden;

      scrollbar-width: none;

      // hide element scrollbar
      &::-webkit-scrollbar {
        display: none;
      }
    }
  }

  .about {

    background-color: #000;
    padding: 10vw 0 10vw;

    transition: background-color 0.7s, color 0.7s;

    &.about-1 {
      padding-bottom: 10vw;
    }

    .about-truffl {
     
      margin: 0 auto;
      font-family: "Roobert-SemiBold";
      font-size: 3.2vw;
      line-height: 1.2;
      letter-spacing: -0.25px;
      text-align: left;
      color: #ffffff;
      width: .calc-vw(0.71)[@return];

    } 

    .explore-process {

      margin-top: 10vw;
      margin-left: 13vw;
      box-sizing: border-box;

      .link-with-underline {
        .link-text {
          color: #fff;
        }

        .underline {
          background-color: #fff;
        }
      }
    }

    .explore-services{
      margin-top: 6vw;
      .quarter, .half{
        display: inline-block;
      }
    }

    .horizontal-scroll {
      margin-top: 10vw;

      .horizontally-scrollable {
        padding-right: 5vw;
        height: 20vw;
      }

      &:before,
      &:after {
        width: 20vw;
        height: 100%;
        content: "";
        display: block;
        position: absolute;
        top: 0;
      }

      &:before {
        background-image: linear-gradient(to right, rgba(0, 0, 0, 1) 11%, rgba(0, 0, 0, 0));
        left: 0;
      }

      &:after {
        background-image: linear-gradient(to left, rgba(0, 0, 0, 1) 11%, rgba(0, 0, 0, 0));
        right: 0;
      }

      .cover-scrollable {
        position: absolute;
        top: 0;
        left: 0;
        width: .calc-vw(1)[@return];
        height: 20vw;
        background: rgba(0, 0, 0, 0);
        z-index: 5;
      }
    }

    // for explore block
    .spacer {
      width: 2vw;
      opacity: 0;
    }

    .explore {
      font-family: "Roobert-SemiBold";
      font-size: 16.5vw;
      line-height: 0.96;
      letter-spacing: -2.41px;
      color: #ffffff;
     
      &:first-of-type {
        margin-left: calc(13vw - 0.05em); // matching vertical line
      }

      &:not(:last-of-type){
        margin-right: 20vw;
      }
    }

    .white-link {
      font-family: "Roobert-SemiBold";
      display: block;
      margin: 10vw auto;
      text-align: center;
      line-height: 1;
      letter-spacing: -0.25px;
    }
  }

  .h-scroll-wrapper {
    position: relative;
    width: .calc-vw(1)[@return];

    .h-scroll {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      width: 100%;
      overflow-x: auto;
      overflow-y: hidden;

      // hide element scrollbar
      scrollbar-width: none;

      &::-webkit-scrollbar {
        display: none;
      }
    }
  }

  .projects {

    display: flex;
    flex-flow: row wrap;

    .project-block {
      position: relative;
    }

    &.projects-1 .apos-area .apos-area-widgets .apos-area-widget-wrapper {
      width: inherit;
    }

    .squaredLogosStyling();

    &.projects-2{
      img{
        cursor: default;
      }
    }
    &.projects-3{
      img{
        cursor: pointer;
      }
    }

    &.projects-3{
      img{
        width: 100%;
        height: 100%;
        object-fit: contain;
      }
    }

    .video-container {

      position: absolute;
      top: 0;
      bottom: 0;
      width: 100%;
      height: 100%;
      overflow: hidden;

      object-fit: cover;

      video {

        // min-width: 100%; 
        // min-height: 100%; 

        // width: auto;
        // height: auto;

        // position: absolute;
        // top: 50%;
        // left: 50%;
        // transform: translate(-50%,-50%);

        width: 100%;
        height: auto;
        max-height: 100%;
        object-fit: cover;
      }
    }

   

    .link-with-underline {
      font-size: 1.5vw;

      .link-text {
        color: #fff;
      }

      .underline {
        background-color: #fff;
      }
    }

    .link-with-underline--black-bg {
      background: #000;
      color: #fff;
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: center;
      align-items: center;

      .link-with-underline {
        font-size: 1.5vw;

        .link-text {
          color: #fff;
        }

        .underline {
          background-color: #fff;
        }
      }
    }




    .project-hover {
      transform: translateX(-100%);
      transition: transform 0.75s cubic-bezier(0.5, 1, 0.89, 1);

      z-index: 3;
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      display: flex;

      &.pink {
        .hover-text {
          background: #ebc0ca;
          color: #da2c30;
        }
      }

      .hover-text {
        background: #fff;
        color: #000;
        display: flex;
        justify-content: space-between;
        flex-direction: column;
        padding: 2vw 0 2vw 3.5vw;
        height: 100%;
        width: 75%;
        z-index: 5;
      }

      .hover-button {
        width: 25%;
        height: .calc-vw(0.1)[@return];
        align-self: flex-end;
        background: red;
        display: flex;
        justify-content: center;
        align-items: center;
        transform: translateX(-100%);
        transition: transform 0.5s cubic-bezier(0.5, 1, 0.89, 1);
        z-index: 4;

        .arrow {
          width: 40%;
          height: 100%;
          display: block;
          margin: 0;
          padding: 0;
          object-fit: contain;

          svg {
            width: 100%;
            height: 100%;
          }

          path {
            fill: #FFFFFF;
          }
        }
      }

      .project-company {
        font-size: 1.3vw;
        font-family: "Roobert-SemiBold";
      }

      .project-tagline {
        font-size: 5.7vw;
        font-family: "Roobert-SemiBold";
        -webkit-backdrop-filter: blur(4.8px);
        backdrop-filter: blur(4.8px);
        line-height: 0.85;
        letter-spacing: -0.59px;
        margin-bottom: 2em;
      }

      .project-type {
        font-size: 1.3vw;
        font-family: "Roobert-SemiBold";
      }
    }

    .quarter {
      .project-hover {
        .hover-text {
          padding: 1vw 0 1vw 1.75vw;
        }

        .hover-button {
          height: .calc-vw(0.05)[@return];
        }

        .project-company {
          font-size: 0.65vw;
        }

        .project-tagline {
          font-size: 2.85vw;
          -webkit-backdrop-filter: blur(4.8px);
          backdrop-filter: blur(4.8px);
          letter-spacing: -0.3px;
        }

        .project-type {
          font-size: 0.65vw;
        }
      }
    }
  }

  .partnering {

    box-sizing: border-box;
    padding: 10vw 0;
    width: .calc-vw(1)[@return];

    .row {
      width: 100%;
      display: flex;
      flex-wrap: wrap;


      &.center {
        justify-content: center;
      }
    }

    .col-50 {
      width: 50%;
      height: 100%;
    }

    .lets-get-deep {
      font-family: "Roobert-SemiBold";
      font-size: 3vw;
      line-height: 1.2;
      letter-spacing: -0.25px;
      margin-left: 5vw;
      max-width: 10em;
    }

    .our-clients {
      font-size: 1.2vw;
      max-width: 25em;
      line-height: 1.4;
      letter-spacing: -0.1px;

      p {
        word-wrap: break-word;
      }
    }

    .explore-story-wrapper {
      margin-top: 4vw;

      .link-with-underline {

        font-size: 1.2vw;
        line-height: 1.4;
        margin-bottom: 0.5em;

        .link-text {
         
        }

        .underline {
          height: 0.2vw;
        }
      }
    }
  }

  .instagram {
    width: .calc-vw(0.5)[@return];
    height: .calc-vw(0.25)[@return];
    display: inline-block;
    color: #000;
    background: #fff;
    text-decoration: none;

    &:visited,
    &:active {
      color: #000;
    }

    .insta-title,
    .insta-tag {
      margin-left: 5vw;
    }

    .insta-title {
      font-family: "Roobert-Medium";
      margin-top: 5vw;

      font-size: 1.5vw;
      line-height: 1.4;
      letter-spacing: -0.1px;
    }

    .insta-tag {
      font-family: "Roobert-SemiBold";
      font-size: 3vw;
      line-height: 1.84;
      letter-spacing: -0.25px;

      &.link-with-underline {
        .link-text {
          color: #000;
        }

        .underline {
          height: 0.1em;
          background-color: #000;
        }

        &.animated:hover {
          .link-text {
            transform: translateY(-0.1em);
          }
        }
      }

    }
  }
}


@media screen and (max-width: 800px) {

  .home {



    .hero {

      height: 75vh;
      min-height: 500px;

      .hero-title {
        font-size: 15vw;
        text-align: left;
        margin: 0 auto;
        width: 80vw;
        display: block;
        left: 0;
        right: 0;
        top: calc(50% - 1em - 40px);
      }

      .truffl-silver-1 {
        top: calc(10vw - 5vw / 2 + 60px);
      }
    }

    .about {
      .about-truffl {
        font-size: 5.1vw;
        width: 80vw;
      }

      &.about-2 {
        .about-truffl {
          margin: 10vw auto;
          font-size: 7vw;

          .link-with-underline {
            font-size: 3.5vw;
            margin-top: 10vw;
          }
        }
      }


      .horizontal-scroll {
        margin-top: 20vw;

        .cover-scrollable {
          display: none;
        }

        .horizontally-scrollable {
          height: 32vw;
        }
      }

      .explore {
        font-size: 25vw;
      }

    }

    .we-dig-explore {

      margin: 15vw 0 20vw;
      display: flex;
      justify-content: flex-start;
      flex-direction: column;

      .letters-with-shadow {

          margin-left: 10vw;
          position: relative;
          font-size: 21.5vw;
          font-family: 'Roobert-SemiBold';
          color: #fff;
          // background: linear-gradient(to bottom, #fff 0%, #050505 100%);
          // background-clip: text;
          // -webkit-background-clip: text;
          // -webkit-text-fill-color: transparent;
          margin-top: 0;
          line-height: 1.2;

          &:after {
              display: block;
              width: 100%;
              height: 110%;
              position: absolute;
              top: 0;
              left: 0;
              background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.3) 50%, rgba(0, 0, 0, 0.9) 90%);
              content: "";
              // display: none;
          }


          &.animated {
              // transform: translateY(100%);
              transform: translateX(100vw);
              opacity: 0;
              will-change: transform, opacity;
              // transition: transform .5s, opacity .5s ease-in;
              transition: all .5s cubic-bezier(0.5, 1, 0.89, 1);

              &>div {
                  // transform: translateY(100%);
                  // opacity: 0;
                  // will-change: transform, opacity;
                  // transition: transform .7s, opacity .7s;
              }

              &:nth-of-type(2) {
                  transition-delay: 0.2s;

                  &>div {
                      transition-delay: 0.2s;
                  }
              }

              &:nth-of-type(3) {
                  transition-delay: 0.4s;

                  &>div {
                      transition-delay: 0.4s;
                  }
              }
          }

          &.progress {
              // transform: translateY(0%);
              opacity: 1;
              transform: translateX(0%);

              &>div {
                  // transform: translateY(0%);
                  // opacity: 1;
              }

          }
      }
  }

    .projects {

      .half,
      .apos-area-widget-wrapper .half {
        width: 100vw;
        height: 100vw;
      }

      .quarter,
      .apos-area-widget-wrapper .quarter {
        width: 100vw;
        height: 100vw;

        .video-container {
          width: 100vw;
          height: 100vw;
        }
      }

      .fit-four {
        width: 100%;

        .half,
        .apos-area-widget-wrapper .half,
        .quarter,
        .apos-area-widget-wrapper .quarter {
          width: 100vw;
          height: 100vw;
        }
      }

      .quarter,
      .half{
        .project-hover{
          .hover-text{
            padding: 5vw 0 5vw 8vw;
          }
  
          .project-company,
          .project-type{
            font-size: 3.5vw;
          }
          .project-tagline{
            font-size: 9vw;
            margin-bottom: 1em;
          }
          .hover-button{
            width :25vw;
            height: 25vw;
          }
        }
      }
     

      &.projects-1{
        .link-with-underline{
          font-size: 5vw;
        }
      }

      &.projects-3{
        .half,
        .quarter{
          img{
            max-width: 100vw;
            max-height: 100vw;
            min-width: 100%;
          }
        }
       
      }

    }

    .explore-story-wrapper,
    .explore-process{
      .link-with-underline{
        font-size: 3.5vw;
        
      }
    }
    

    .h-scroll-wrapper {
      width: 100vw;
    }

    .partnering {

    
      .row {
        width: 80vw;
        margin-left: 10vw;
        flex-direction: column;
        .col-50{
          width: 100%;
        }
      }

      .lets-get-deep {
        font-size: 7vw;
        margin-bottom: 7vw;
        margin-left: 0;
      }

      .our-clients {
        font-size: 3.4vw;
        text-align: left;
        max-width: inherit;
        width: 100%;
      }

      .explore-story-wrapper .link-with-underline{
        font-size: 3.5vw;
      }
    }

    .instagram {
      width: 100vw;
      height: auto;
      padding-top: 5vw;
      padding-bottom: 25vw;

      .insta-title {
        font-size: 4vw;
        margin-top: 0;
      }

      .insta-tag {
        font-size: 8vw;
        line-height: 1.1;
      }
    }
  }



  .container.newsletters {
    padding: 10vw 5vw;
    width: calc(100% - 10vw);
  }



  #contact-us-popup-page .popup-page-button {
    left: 0;
    margin-left: 0;
    width: 100%;
  }

  

}

